Package twisted :: Package python :: Module log :: Class FileLogObserver

[frames | no frames]

## Class FileLogObserver

Log observer that writes to a file-like object.

Method Summary
| `__init__(self, f)`
| `emit(self, eventDict)`
| ``start`(self)` Start observing log events.
| ``stop`(self)` Stop observing log events.

Instance Variable Summary
`str` | `timeFormat`: Format string passed to strftime()

Method Details

### start(self)

Start observing log events.

### stop(self)

Stop observing log events.

Instance Variable Details

### timeFormat

Format string passed to strftime()

  Type:
    `str`
  Value:

        '%Y/%m/%d %H:%M %Z'

Generated by Epydoc 2.0 on Sat May 15 20:08:24 2004 | http://epydoc.sf.net